<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\TicketBundle\Messenger;

use Chill\TicketBundle\Entity\Ticket;
use Chill\TicketBundle\Event\TicketUpdateKindEnum;

final readonly class PostTicketUpdateMessage
{
    public readonly int $ticketId;

    public function __construct(
        Ticket $ticket,
        public TicketUpdateKindEnum $updateKind,
    ) {
        $this->ticketId = $ticket->getId();
    }
}
